# Overview

Conflux is a high-performance Layer 1 public blockchain that utilizes a hybrid consensus mechanism combining Proof of Work (PoW) and Proof of Stake (PoS), enabling it to process up to 3,000 transactions per second with confirmation times of less than 1 minute.

It features a dual "space" design. You can think of each "space" being a separate blockchain.

The "Core Space" refers to the original Conflux network, while the "eSpace" is a fully Ethereum Virtual Machine (EVM) compatible chain on top of the Core Space chain.

The Core Space and eSpace share the same ledger for underlying data storage. A single block can contain transactions from both spaces, which are distinguished by their transaction encoding.

However, the Core Space and eSpace function as two logically independent chains, each with their own transactions, account statuses, and contracts.

## Network Support

| Network        | Archive | HTTPS | WSS |
| -------------- | ------- | ----- | --- |
| eSpace Mainnet | ✅       | ✅     | ✅   |
| eSpace Testnet | ✅       | ✅     | ✅   |

> WebSocket clients **MUST** respond to server `ping` frames, otherwise the connection will be closed and re-established every minute.

## Methods & Compute Units

<table data-header-hidden><thead><tr><th></th><th width="100"></th></tr></thead><tbody><tr><td>debug_traceBlockByHash</td><td>40</td></tr><tr><td>debug_traceBlockByNumber</td><td>40</td></tr><tr><td>debug_traceTransaction</td><td>40</td></tr><tr><td>eth_accounts</td><td>10</td></tr><tr><td>eth_blockNumber</td><td>10</td></tr><tr><td>eth_call</td><td>30</td></tr><tr><td>eth_chainId</td><td>5</td></tr><tr><td>eth_estimateGas</td><td>100</td></tr><tr><td>eth_gasPrice</td><td>20</td></tr><tr><td>eth_getBalance</td><td>20</td></tr><tr><td>eth_getBlockByHash</td><td>30</td></tr><tr><td>eth_getBlockByNumber</td><td>20</td></tr><tr><td>eth_getBlockTransactionCountByHash</td><td>20</td></tr><tr><td>eth_getBlockTransactionCountByNumber</td><td>20</td></tr><tr><td>eth_getCode</td><td>20</td></tr><tr><td>eth_getFilterChanges</td><td>20</td></tr><tr><td>eth_getFilterLogs</td><td>70</td></tr><tr><td>eth_getLogs</td><td>80</td></tr><tr><td>eth_getStorageAt</td><td>20</td></tr><tr><td>eth_getTransactionByBlockHashAndIndex</td><td>20</td></tr><tr><td>eth_getTransactionByBlockNumberAndIndex</td><td>20</td></tr><tr><td>eth_getTransactionByHash</td><td>20</td></tr><tr><td>eth_getTransactionCount</td><td>30</td></tr><tr><td>eth_getTransactionReceipt</td><td>20</td></tr><tr><td>eth_getUncleByBlockHashAndIndex</td><td>20</td></tr><tr><td>eth_getUncleByBlockNumberAndIndex</td><td>20</td></tr><tr><td>eth_getUncleCountByBlockHash</td><td>20</td></tr><tr><td>eth_getUncleCountByBlockNumber</td><td>20</td></tr><tr><td>eth_newBlockFilter</td><td>20</td></tr><tr><td>eth_newFilter</td><td>20</td></tr><tr><td>eth_newPendingTransactionFilter</td><td>20</td></tr><tr><td>eth_sendRawTransaction</td><td>270</td></tr><tr><td>eth_syncing</td><td>5</td></tr><tr><td>eth_uninstallFilter</td><td>10</td></tr><tr><td>net_version</td><td>5</td></tr><tr><td>web3_clientVersion</td><td>10</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/conflux/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
